@import url('https://fonts.googleapis.com/css?family=Quicksand:400,700');
html{
  scroll-behavior: smooth;
}

.wall{
   background: url(/img/fond.jpg);
   height: 100vh;
}

body {
  background: #585858a1;
  font-family: 'QuickSand',sans-serif;
  margin: 0;
}

.wrapper {
  width: 100%;
  max-width: 1000px;
  margin: 0 auto;
}

header {
  background: #474747;
  color: #ebebd3;
  position: relative;
  padding: 1em 0;
}

header::after {
  content: "";
  clear: both;
  display: block;
}

.logo {
  float: left;
  font-size: 1.2rem;
  margin: 0;
  text-transform: uppercase;
  font-weight: 700;
}

.logo span {
  font-weight: 400;
}

.main-nav {
  position: absolute;
  top: 100%;
  right: 0;
  left: 0;
  background: #272741;
  height: 0;
  overflow: hidden;
  position: fixed
}

.main-nav-open {
  height: auto;
}

.main-nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.main-nav li {
  border-bottom: 1px solid #575766;
}

.main-nav li:last-child {
  border-bottom: none;
} 


.main-nav a {
  color: #ebebd3;
  display: block;
  padding: 1em 1em;
  text-decoration: none;
  text-transform: uppercase;
}

.main-nav a:hover,
.main-nav a:focus{
  background: #e4b363; 
  color: #ebebd3b0; 
}

.nav-icon {
  display: inline-block;
  font-size: 1.3em;
  margin-right: .5em;
  text-align: center;
  width: 1.1em;
  color: rgba(255,255,255,0.45);
}

.menu-toggle {
  padding: 1em;
  position: absolute;
  top: 0.5em;
  right: 0.2em;
  cursor: pointer;
}

.hamburger,
.hamburger::before,
.hamburger::after{
  content: "";
  display: block;
  background: #ebebd3;
  height: 3px;
  width: 1.75em;
  transition: all ease-in-out 500ms;
}

.hamburger::before {
  transform: translateY(-6px);
}

.hamburger::after {
  transform: translateY(3px);
}

.open .hamburger {
  transform: rotate(45deg) ;
}

.open .hamburger::before {
  opacity: 0;
}

.open .hamburger::after {
  transform: rotate(90deg) translateY(3px);
}

@media only screen and (min-width: 700px){
  .menu-toggle {
    display: none;
  }
  
  .main-nav {
    height: auto;
    position: relative;
    background: transparent;
    float: right;
  }
  
  .main-nav li {
    display: inline-block;
    border: none;
  }
  
  .main-nav a {
    padding: 0;
    margin-left: 2em;
  }
  
  .main-nav a:hover,.main-nav a:focus {
    background: transparent;
  }
  
  .nav-icon {
    display: none;
  }
}


.boxtext {
    margin-top: 200px;
    margin-left: auto;
    margin-right: auto;
    border : 2px solid #ebebd3;
    padding: 2rem;
    width: 400px;
    height: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5em;
    color: #ebebd3;
    transition:  0.5s ease-in;
}

.boxtext:hover{
    filter: grayscale(0.5);
    transition:  0.5s ease-in;
    z-index: 1;
    transform: scale(1.2);
}

p#box{
  font-family: 'Quicksand', sans-serif;
}

h2{
  text-align: left;
  font-family: 'Abel', sans-serif;
  margin-bottom: 50px;
  color: #000000;
  font-size: 2em;
}

h3{
  text-align: left;
  font-family: 'Abel', sans-serif;
  margin-bottom: 50px;
  color: #ebebd3;
  font-size: 1.8em;
}


.container {
  width: 100%; 
  background-color: #ddd; 
  display: flex;
  text-align: center;
}

.skills {
  padding-top: 10px; 
  padding-bottom: 10px; 
  color: #474747;
}

.skills2 {
  padding-top: 10px; 
  padding-bottom: 10px; 
  color: #ebebd3; 
}


.html {width: 60%; background-color: #ebebd3;} 
.css {width: 50%; background-color: #474747;}
.js {width: 25%; background-color: #ebebd3;} 
.php {width: 10%; background-color: #474747;} 

.competences{
  text-align: center;
  margin: 100px;
}

hr{
  margin: 50px;
  color: black;
  border: 2px;
}

input[type=text], select, textarea {
  width: 100%; /* Full width */
  padding: 12px; /* Some padding */ 
  border: 1px solid #ccc; /* Gray border */
  border-radius: 4px; /* Rounded borders */
  box-sizing: border-box; /* Make sure that padding and width stays in place */
  margin-top: 6px; /* Add a top margin */
  margin-bottom: 16px; /* Bottom margin */
  resize: vertical /* Allow the user to vertically resize the textarea (not horizontally) */
}

/* Style the submit button with a specific background color etc */
input[type=submit] {
  background-color: #000000;
  color: #ebebd3;
  padding: 12px 20px;
  border: solid 2px #ebebd3;
  border-radius: 4px;
  cursor: pointer;
}

/* Hover au passage de la souris*/
input[type=submit]:hover {
  background-color: #000000a4;
}

/* couleur du contenant*/
.contain {
  background-color: #474747;
  padding: 20px;
}

label{
  color: #ebebd3;
}
